IF OBJECT_ID('[LogMessages_Extended]') IS NOT NULL DROP VIEW [LogMessages_Extended]
GO

CREATE VIEW [LogMessages_Extended]
AS
	SELECT LM.[LogMessage_Id],
	       LM.[Read_Indicator],
		   LM.[Logged_Date],
		   LM.[Message_Text],
		   LM.[Category_Name],
		   LM.[Message_Level],
		   LM.[Details_Bytes],
		   LM.[Feed_Id],
		   F.[Feed_Name],
		   F.[FeedType_Name],
		   LM.[Connector_Id],
		   C.[Connector_Name],
		   C.[Connector_Url],
		   [ConnectorType_Name] = C.[FeedType_Name]
	  FROM [LogMessages] LM
	       LEFT JOIN [Feeds] F
		          ON F.[Feed_Id] = LM.[Feed_Id]
		   LEFT JOIN [Connectors] C
		          ON C.[Connector_Id] = LM.[Connector_Id]

GO