EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'HelmChartDockerImages_GetImages',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'HelmChartDockerImages_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a list of Docker Images from a chart in a Helm feed.'
GO

IF OBJECT_ID('[HelmChartDockerImages_GetImages]') IS NOT NULL DROP PROCEDURE [HelmChartDockerImages_GetImages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [HelmChartDockerImages_GetImages]
(
	@Chart_Name VARCHAR(200),
	@Chart_Version_Text VARCHAR(200),
	@Chart_Feed_Id INT
)
AS
BEGIN

SET NOCOUNT ON

SELECT *
FROM [HelmChartDockerImages_Extended]
WHERE [Chart_Name] = @Chart_Name AND [Version_Text] = @Chart_Version_Text AND [Feed_Id] = @Chart_Feed_Id

END
GO

GRANT EXECUTE ON [HelmChartDockerImages_GetImages] TO [ProGetUser_Role]
GO
